lzma_outbuf Struct Reference

Output buffer for a single thread. More...

`#include <outqueue.h>`

## Data Fields

uint8_t * | buf
| Pointer to the output buffer of lzma_outq.buf_size_max bytes. More...
size_t | size
| Amount of data written to buf. More...
lzma_vli | unpadded_size
| Additional size information. More...
lzma_vli | uncompressed_size
bool | finished

## Detailed Description

Output buffer for a single thread.

## Field Documentation

## buf

uint8_t* lzma_outbuf::buf

Pointer to the output buffer of lzma_outq.buf_size_max bytes.

## size

size_t lzma_outbuf::size

Amount of data written to buf.

## unpadded_size

lzma_vli lzma_outbuf::unpadded_size

Additional size information.

## finished

bool lzma_outbuf::finished

True when no more data will be written into this buffer.

Note
  This is read by another thread and thus access to this variable needs a mutex.

Referenced by lzma_outq_is_readable().

The documentation for this struct was generated from the following file:

- liblzma/common/outqueue.h